:root {
  --lgreen: hsl(135, 35%, 50%);
  --mgreen: hsl(135, 35%, 30%);
  --dgreen: hsl(135, 35%, 10%);
  --lgray: hsl(0, 0%, 85%);
  --mgray: hsl(0, 0%, 55%);
  --dgray: hsl(0, 0%, 25%);
  --shade: #00000075;
  --notblack: #202020;
  --notwhite: #CFCFCF;
}

.leather {}

* {
  box-sizing: border-box;
}

html {
  height: 100%;
  background:
  radial-gradient(black 15%, transparent 16%) 0 0,
  radial-gradient(black 15%, transparent 16%) 8px 8px,
  radial-gradient(rgba(255,255,255,.1) 15%, transparent 20%) 0 1px,
  radial-gradient(rgba(255,255,255,.1) 15%, transparent 20%) 8px 9px;
  background-color:#282828;
  background-size:16px 16px;

}

body {
  font-family: Verdana, Arial, sans-serif;
  margin: 0;
  margin-left: auto;
  margin-right: auto;
  max-width: 35vw;
  display: grid;
  margin-top:5vh;
  margin-bottom: 5vh;
  height: 90%;
  border-radius: 10px;
  box-shadow: 0 0 40px 0 rgba(0, 0, 0, 1), 0 0 80px 0 rgba(0, 0, 0, 0.5);
}

#grid-container {


  grid-template-rows: 1fr 10fr 1fr  ;
  grid-template-columns: 1fr;
  grid-template-areas: "header" "main""footer";

}

header {
  grid-area: header;
  background-color: var(--mgreen);
}
header h1 {
  padding-top: .5em;
  padding-bottom: .5em;
  text-align: center;
  color: var(--dgreen);
}
main {
  display: flex; flex-direction: column;
  background-color: var(--lgray);
  padding: 20px;
  padding-bottom: 50%;
  justify-content: space-between;
}

main h1, h2 {

  padding: 0;
  margin: 0;
  color: var(--mgreen);
  border-bottom: 3px solid var(--notblack);
  text-align: center;
}

footer {
  grid-area: footer;
  background-color: var(--dgray);
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding-left: 10%;
  padding-right: 10%;
  font-weight: bold;
  color: var(--notwhite);
}


.button {
  margin-left: auto;
  margin-right: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 65%;
  min-height: 35%;
  background-color: var(--mgreen);
  color: var(--dgreen);
  font-weight: bold;
  border: 2px solid var(--notblack);
  border-radius: 10px;
  box-shadow: 0 0 16px 0 rgba(0, 0, 0, 0.5), 0 0 32px 0 rgba(0, 0, 0, 0.25);
}

.button:hover {
  background-color: var(--dgreen);
  border: 2px solid var(--notwhite);
  color: var(--mgreen);
}

.button div h2 {
  text-decoration: none;
  font-size: 150%;
  color: var(--dgreen);
}
.button:hover h2{
  color: var(--mgreen);
  border-bottom: 3px solid var(--lgreen);
}
.button div p {
  text-decoration: none;
  font-size: 100%;
  text-align: center;
}

.button:active {
  background-color: var(--lgreen);
  color: var(--mgreen);

  border: 5px solid var(--notwhite);
  box-shadow: 0px 0px 10%px var(--notblack) inset;  
}
.button:active h2{
      border-bottom: 3px solid var(--dgreen);
}
a {
  text-decoration: none;
}
